/*
 * Copyright (C) 2000-2001  Ken McCrary
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Email: jkmccrary@yahoo.com
 */

/**
* Funcoes do servidor
* @author Cesar Kallas - cesarkallas@gmx.net
* @since 23/11/2005
*/
package com.estella.servidor;
import  com.estella.util.Log;
import  com.estella.servidor.ConexaoServidor;
import  com.estella.cliente.Conexao;
import  java.io.IOException;
import java.lang.Thread;
import java.net.Socket;

public class Servidor
{
  private ConexaoServidor conexaoServidor;
  private Socket sck_cliente;
  private Thread t_conexao;
  private Log LOG;

  public Servidor()
  {
    conexaoServidor = new ConexaoServidor();
    LOG = new Log();
    inicia();
  }
  
  public void inicia()
  {
    Conexao conexao;
    conexaoServidor.inicia();
    while(true) {
      try {
      conexao = new Conexao(conexaoServidor.escutar());
      }
      catch(Exception A)
      {
        System.out.println("erro no servidor "+ A.getMessage());
        return;
      }
      System.out.println("a "+ conexao.inicia());
      System.out.println(conexao.read());
      
      /*
      if(sck_cliente != null) {
        try {
          t_conexao = new Thread(new trataRequisicao(sck_cliente));
          t_conexao.start();
        }
        catch(Exception threadConexao) {
          LOG.erro(threadConexao.getMessage());
          return;
        }
      }*/
    }
  }
}

class trataRequisicao implements Runnable
{
  private Socket sck_cliente;
  private Conexao conexao;

  public trataRequisicao(Socket sck_cliente)
  {
    conexao = new Conexao(sck_cliente);
    conexao.inicia();
  }
    
  public void run()
  {
    System.out.println(conexao.read());
  }
}
